#squidf: Initial spec credit to Fedora
%global rocm_release 5.5
%global rocm_patch 1
%global rocm_version %{rocm_release}.%{rocm_patch}

%define major      1
%define libname    %mklibname %{name} %{major}
%define devel_name %mklibname %{name} -d

%define rel        3

Name:           hsakmt
Version:        1.0.6
Release:        %mkrel -c %{rocm_version} %{rel}
Summary:        AMD HSA thunk library
Group:          System/Libraries
License:        MIT
URL:            https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface
Source0:        https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/archive/rocm-%{rocm_version}.tar.gz#/%{name}-rocm-%{rocm_version}.tar.gz
Patch1:         hsakmt-pkg-conf.patch

# Mageia builds AMD HSA kernel support for these 64bit targets:
ExclusiveArch: x86_64 aarch64
BuildRequires: cmake
BuildRequires: pkgconfig(libpci)
BuildRequires: pkgconfig(libdrm_amdgpu)
BuildRequires: pkgconfig(numa)

%description
This package includes the libhsakmt (HSA thunk) libraries for AMD KFD

%package -n %{libname}
Summary:        AMD HSA thunk library
Group:          System/Libraries
Obsoletes:      %{_lib}hsakmt1.0.6 < 1.0.6-1

%description -n %{libname}
Libraries for %{name}.

%package -n %{devel_name}
Summary:  AMD HSA thunk library development package
Group:    Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: hsakmt(rocm) = %{rocm_release}

%description -n %{devel_name}
Development library for the libhsakmt (HSA thunk) libraries for AMD KFD

%prep
%autosetup -n  ROCT-Thunk-Interface-rocm-%{rocm_version} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# We install this via license macro instead:
rm %{buildroot}%{_docdir}/hsakmt/LICENSE.md

%files -n %{libname}
%doc README.md
%license LICENSE.md
%{_libdir}/libhsakmt.so.%{version}
%{_libdir}/libhsakmt.so.%{major}

%files -n %{devel_name}
%{_libdir}/libhsakmt.so
%{_includedir}/hsakmt/
%{_libdir}/cmake/hsakmt/
%{_libdir}/pkgconfig/libhsakmt.pc
#These headers are deprecated and will be removed soon:
%{_includedir}/hsakmt.h
%{_includedir}/hsakmttypes.h


%changelog
* Sun Jun 18 2023 wally <wally> 1.0.6-0.5.5.1.3.mga9
+ Revision: 1962416
- install pkg-conf .pc file under libdir

* Sun Jun 18 2023 wally <wally> 1.0.6-0.5.5.1.2.mga9
+ Revision: 1962412
- fix lib pkg name and lib major

* Sun Jun 18 2023 squidf <squidf> 1.0.6-0.5.5.1.1.mga9
+ Revision: 1962338
-Build for Mageia required by AMD OpenCL

